#!/bin/sh
# Package name as first parameter

PREFIX=/path/to/crosstools
TARGET=m68k-atari-mint
PACKAGE=$1
shift

export PATH=${PREFIX}/bin:$PATH
export LD_LIBRARY_PATH=${PREFIX}/lib:$LD_LIBRARY_PATH

export CC=
export CFLAGS=
export CXX=
export CXXFLAGS=

# 68000 version

if [ -d ${PACKAGE}-000 ]; then
	cd ${PACKAGE}-000
	make install $*
	cd ..
fi

# 68020 version

if [ -d ${PACKAGE}-020 ]; then
	cd ${PACKAGE}-020
	make install $*
	rm -rf ${PREFIX}/${TARGET}/lib/m68020/pkgconfig
	cd ..
fi

# 68020-60 version

if [ -d ${PACKAGE}-02060 ]; then
	cd ${PACKAGE}-02060
	make install $*
	rm -rf ${PREFIX}/${TARGET}/lib/m68020-60/pkgconfig
	cd ..
fi

# Coldfire version

if [ -d ${PACKAGE}-cf ]; then
	cd ${PACKAGE}-cf
	make install $*
	rm -rf ${PREFIX}/${TARGET}/lib/m5475/pkgconfig
	cd ..
fi
